We’re rewarding the question askers & reputations are being recalculated! Read more.

All Questions

Tagged with
Filter by
Sorted by
Tagged with
1
vote
1answer
45 views

Database Syntax Error when attempting upgrade

I have a website that is on Drupal 7 and I am attempting to upgrade the version of Civi from 5.10 to 5.13 but when I attempt to upgrade it, I'm receiving the following error: Database Error Code: ...
2
votes
1answer
60 views

Upgrade from 5.11.0 to 5.12. failing database update - solution found

I'm failing because mysql doesn't like characters in a city name: UPDATE civicrm_state_province INNER JOIN civicrm_country ON civicrm_state_province.country_id = civicrm_country.id SET ...
0
votes
1answer
33 views

Split Data from Wordpress Database

On my initial setup, I had installed CiviCRM onto the same database as the Wordpress installation. Now I want to split this as I am migrating the website and would rather backup and have a copy of the ...
2
votes
2answers
84 views

CiviCRM 5.9.1 Cannot Read Database Information

CiviCRM 5.9.1 WordPress 5.0.3 PHP 7.2 Upgraded after migration between servers from 4.7.29 w/o issue. When I went inside the CiviCRM it asked me to redo everything like a new install. I went to the ...
2
votes
1answer
65 views

Upgrade to CiviCRM 4.3 failing on DROP FOREIGN KEY

I have successfully upgraded many other CiviCRM installations over the years, but I've been unable to work my way through this issue so far. Ubuntu 14.04 MySQL 5.7.23 Apache/2.4.7 PHP Version 5.6....
1
vote
1answer
40 views

Error Upgrading DB to 4.7.18: SQL

[Error: Upgrade DB to 4.7.18: SQL] [nativecode=1062 ** Duplicate entry 'Chandigarh-1101' for key 'UI_name_country_id'] How can I fix the error as given below: INSERT INTO `civicrm_state_province` (...
1
vote
1answer
51 views

Wordpress CiviCRM site unusable after database upgrade from 5.4.0 to 5.5.1

I'm relatively new to CiviCRM and am trying to get a client set up with the platform. I like it overall, it seems much more usable than most I've touched in the past. All seemed to be going well ...
0
votes
1answer
41 views

Database update failing for CiviCRM upgrade in Joomla 2.5

I have installed Civi 4.2.19 in Joomla 2.5, to upgrade the 4.1.1 version. I cleared all cache and then tried to run the database update. I got this fatal error: Fatal error: require_once(): Failed ...
0
votes
1answer
31 views

When removing a group from a contact I get: Error - DB Constraint Violation - GroupContact, get API

[copied from https://issues.civicrm.org/jira/browse/CRM-20711 noted on CiviCRM version 4.7.27] In the Contact record, when I try to remove or delete a contact from a group they've already been added ...
2
votes
0answers
116 views

DB Error after upgrading 4.7.x to 5.1 (Drupal)

After upgrading CiviCRM from v4.7.14 to 5.1 (or v4.7.31) which went seemingly well, CiviCRM encounters the following problem. UPDATE: Issue does not appear until 4.7.29 (including), and comes up only ...
1
vote
2answers
183 views

CiviCRM Cannot add or update a child row: a foreign key constraint fails error after upgrading from 4.7.30 to 5.0.2

After running the command to upgrade the database I got a constraint violation error. ERROR USERINFO: ALTER TABLE civicrm_case ADD CONSTRAINT FK_civicrm_case_case_type_id FOREIGN KEY (case_type_id) ...
2
votes
4answers
260 views

After upgrade to 5.0.2 from 4.7.30 getting “DB Error: No such field” on queries

Since updating my CiviCRM 4.7.30 on WordPress 4.9.5, I am getting "DB Error: No such field" when doing queries through Advanced Search or Search Builder. Some of the problems where when I was trying ...
0
votes
1answer
34 views

CiviCRM upgrade `civicrm`.log_civicrm_activity error

Upgrading a CiviCRM DB from 4.7.17 to 4.7.29 after moving from MySQL 5.1 (CentOS 6 install) to CentOS 7 with MariaDB 10.2. After the progress bar completes on the wp-admin/admin.php?page=CiviCRM&...
0
votes
1answer
54 views

CiviCRM Database Upgrade from 4.7.16 to 4.7.28 is hanging

I am trying to upgrade my Joomla civiCRM database from 4.7.16 to 4.7.28. The component upgraded fine but when I try to upgrade the database after following all of the preparation steps, it hangs and ...
1
vote
0answers
48 views

Update Indices fails with errno 150 on DROP INDEX UI_case_contact_id after upgrade from 4.6 to 4.7.27

Upgraded from 4.6.19 to 4.7.27 (on wordpress 4.8.3) and attempted to update indices. The table that fails is civicrm_case_contact, with the old index UI_case_contact_id. The error is identical to ...
1
vote
1answer
77 views

Where can I see the database upgrade script?

I want to see which indices were supposed to be created in the last upgrade I ran because I get a status report message saying that some indices are missing, but when I click "Update Indices" I get an ...
5
votes
1answer
679 views

4.7.20 upgrade — missing indices warning, but index already exists? [duplicate]

Upgraded to 4.7.20 today. As others on this thread have experienced in earlier release(s), I promptly got the "missing indices on some tables" warning. Of course, I tried the "Update Indices" button, ...
17
votes
7answers
3k views

How to find and/or fix missing indices?

After upgrading to 4.7.19, I'm now getting a warning: You have missing indices on some tables. This may cause poor performance. How can I find which indices are missing and then, how can I create ...
1
vote
1answer
266 views

Upgrading CiviCRM from 4.6.25 to 4.7.15 fails on database upgrade

I am running a CiviCRM upgrade on Joomla from 4.6.25 to 4.7.15. The environment is: Joomla : 3.6.5 PHP : 5.5.9 Database 5.5.52 Apache 2.4.7 PHP Memory 512M Execution timeout 240 Installing the ...
1
vote
0answers
68 views

Database upgrade error - 4.7.13

The process to upgrade my civiCRM database from 4.7.11 to 4.7.13 terminated with the following error: [Error: Upgrade DB to 4.7.13: SQL] Error Field Error Value Type DB_Error Code -19 Message ...
0
votes
3answers
760 views

CiviCRM 4.7 - DB Constraint Violation - possibly dashboard_id should possibly be marked as mandatory for this API

We have moved our hosting to new hosting provided (CiviHosting). CiviHosting installed a fresh installation of CiviCRM 4.7. We then imported our previous sql dump from our old site which also had ...
2
votes
2answers
230 views

unable to upgrade from 4.4.5 to 4.7.11 - 'DB Error: no such field' (Wordpress)

Trying to upgrade from CiviCRM 4.4.5 to 4.7.11 in Wordpress 4.5/4.4 (problem doesn't change for either WP version) because it stopped working and just printed this when trying to view /wp-admin/admin....
2
votes
2answers
90 views

DB table that exists says it doesn't

After upgrading to 4.7.10 from 4.7.9, I'm no longer able to edit/add price sets. I think that the DB changes related to https://issues.civicrm.org/jira/browse/CRM-12252 are biting me. (Multi-lingual ...
1
vote
3answers
169 views

CiviCRM Upgrade Wordpress 4.4.5 to 4.7.10 DB Error: no such field

CiviCRM Upgrade Wordpress 4.4.5 to 4.7.10 DB Error: no such field. Site shows at bottom of screens: Powered by CiviCRM 4.4.5 Trying to upgrade to 4.7.10 and after pressing Upgrade button CiviCRM ...
2
votes
3answers
113 views

What's the best strategy for upgrading CiviCRM?

I use CiviCRM 4.5.8 with WordPress. I'd kinda like to try a newer version, but I don't want to mess up the production website. I used the WP plugin Duplicator to create a test site. I changed the ...
5
votes
2answers
99 views

When upgrading from 4.7.7 to 4.7.8 I get error “Specified key was too long”

I tried to upgrade my Joomla CiviCRM 4.7.7 to 4.7.8 and got the following error in the database upgrade: ALTER TABLE `civicrm_contact` CHANGE `image_URL` `image_URL` VARCHAR(512) CHARACTER SET utf8 ...
0
votes
1answer
61 views

Unrecognized database version from 4.6.16 to 4.7.7

Joomla 3.5.1, Linux, Php 5.6.20 Is there a "quick fix" I could make to a script to allow it to either recognize the database, or would it be OK to manually change the database version number only ...
2
votes
1answer
394 views

CiviCRM Initalization Error: DB Error: extension not found

I've got CiviCRM installed within a WordPress context, and both are updated. The problem is that, with the last update that occurred, I can no longer get to CiviCRM. Instead, I get the following ...
0
votes
1answer
35 views

4.7 Install, Database Settings Correct. Still no Contacts

I have upgraded from CiviCrm 4.2 to 4.7 now that I finally have it working it will not bring up contacts from the old Civi database. I looked at the setting php file and all the information is correct....
1
vote
3answers
82 views

CiviCRM component pointing to different database than Joomla CMS

We have a little bit of a strange issue and could use some input. We are using CiviCRM on Joomla. Started on Joomla 1.5 years ago, then upgraded to J2.5/CiviCRM 4.4 a couple years ago, then a few ...
0
votes
1answer
71 views

“no such field in civicrm_api3” after Upgrade from 4.6.4 to latest 4.7

I ran the database upgrade script and it showed me an error and didnt get finished.. since then I can't run the /civicrm/upgrade script and it always gives me the error: CiviCRM_API3_Exception: DB ...
1
vote
3answers
508 views

4.6.10 to 4.7.1 upgrade woes

**UPDATE #5: See new answer at bottom. It's a fix! **UPDATE #4: Decided do a clean install of 4.7.1 and see if I can point it to a working 4.7.1 backup database. I suppose I need to follow Kurund's ...
2
votes
1answer
142 views

DB Upgrade Fails when creating Getting Started Dashlet

CiviCRM 4.6.11 to 4.7.1 Update Joomla 3.4.8 Error page during DB upgrade utility: [Error: Add Getting Started dashlet] Error Field Error Value Type DB_Error Code -3 Message DB Error: constraint ...
1
vote
1answer
164 views

Updating information in Custom fields within a tab not saving since update to 4.7.0

Civicrm 4.7.0 Joomla 3.4.8 When editing or adding information contained within a custom field within a tab, after hitting save, the information does not remain. Also receive the following error when ...
0
votes
1answer
33 views

4.6.9 upgrade fails - DB_Error:already exists -5

I've attached a screenshot of the error I get when trying to upgrade from 4.6.8 to 4.6.9 I have the rest of the trace, but not sure if I should post all of it. Thanks in advance for your help.
1
vote
1answer
51 views

Upgrade from 4.3.1 to 4.6.9 (Joomla) = fails; DB upgrade freezes

It reports (on DB upgrade screen): "[Executed: Finish Upgrade DB to 4.3.8]" We let it run for over over an hour; stayed stuck. A previous attempt got stuck at v.4.4.3. (This upgrade is being ...
0
votes
1answer
566 views

Fatal error: Uncaught CRM_Core_Exception: [0: Transaction integrity error: Expected to find active frame

When a user tries to create a new membership from the front end we are getting this: DB Error: already exists Return to home page. Fatal error: Uncaught CRM_Core_Exception: [0: Transaction integrity ...
1
vote
2answers
619 views

What can I do to fix my database that has been partially upgraded?

I have run into this problem on two of my websites that run Civicrm separately. Both are running version 4.5.8. When I run the automatic installer, the update process seems to freeze for an infinite ...
3
votes
2answers
66 views

Are log tables updated during an upgrade?

If a CiviCRM upgrade amends the structure of existing tables, do you know if the same changes are applied to the equivalent logging tables? I've noticed in the column civicrm_line_item.label NULL is ...
0
votes
2answers
109 views

Joomla CiviCRM Upgrade 4.3.9 to 4.4.x version

I am unable to upgrade 4.3.9 version into new version .. I am getting this error : Error: Consolidate activity contacts Type DB_Error Code -2 Message DB Error: syntax error Mode 16 UserInfo ...